import axios from 'axios'
const service = axios.create({
  // baseURL: 'http://192.168.20.55:8032', // 本地调试
  baseURL: process.env.NODE_ENV === 'development' ? 'https://hnbwg.4dage.com' : '',
  timeout: 5000
})
// 请求拦截器
service.interceptors.request.use(function (config) {
  // console.log('触发拦截器')
  // 在发送请求之前做些什么：看看有没有token，如果有通过请求头的方式传递token
  const token = localStorage.getItem('HNBWY_token')
  if (token) { // 判断是否有token,有，则
    // config.headers['Authorization'] = token
    config.headers.token = token
  }

  return config
}, function (error) {
  // 对请求错误做些什么
  return Promise.reject(error)
})

// 添加响应拦截器
service.interceptors.response.use(function (response) {
  // console.log('触发相应拦截器', response)
  // 对响应数据做点什么--response就是发送每个请求的返回值
  if (response.data.code === 5001 || response.data.code === 5002) {
    // Toast.fail('未登录，请先登录')
    localStorage.removeItem('HNBWY_token')
  }
  return response.data
}, function (error) {
  // 对响应错误做点什么
  return Promise.reject(error)
})

export default service
